#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz1155221-adjust-fstatat-naming-to-match-kernel-uapi
#   Description: uses ausyscall to check for fstatat names
#   Author: Jiri Jaburek <jjaburek@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2014 Red Hat, Inc.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
    rlPhaseEnd

    rlPhaseStartTest "x86_64"
        rlRun "ausyscall x86_64 --dump | grep -q newfstatat"
        rlRun "ausyscall i686 --dump | grep -q fstatat64"
    rlPhaseEnd

    rlPhaseStartTest "ppc64"
        # NOTE: this does not match the kernel uapi, but it's intentional,
        # see bz1155221#c5, sgrubb decided to use fstatat64 on 64bit as well
        # (kernel uapi has newfstatat)
        rlRun "ausyscall ppc64 --dump | grep -q fstatat64"
        rlRun "ausyscall ppc --dump | grep -q fstatat64"
    rlPhaseEnd

    rlPhaseStartTest "s390x"
        rlRun "ausyscall s390x --dump | grep -q newfstatat"
        rlRun "ausyscall s390 --dump | grep -q fstatat64"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
