#! /bin/sh

# Sorts raw audit logs by serial number.
# Uses the standard input and output for I/O.

# John D. Ramsdell -- The MITRE Corporation

python -E -c '
import sys, re

pattern = re.compile("\smsg=audit\(\d+\.\d+:(\d+)\):?\s")
for line in sys.stdin:
    match = pattern.search(line)
    if not match:
        sys.stderr.write("cannot parse audit message: '\''%s'\''\n" % line)
        sys.exit(1)
    sys.stdout.write(match.group(1) + "\t" + line)
' | sort -n -s -k 1 | cut -f 2-

