#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz235398-LSPP-ausearch-does-not-correctly-find-out-of
#   Description: Test for bz235398 (LSPP: ausearch does not correctly find out of)
#   Author: Ludek Dolihal <dollson@localhost.localdomain>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2010 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"


rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
	rlFileBackup "/etc/localtime" 
	rlRun "ln -sf /usr/share/zoneinfo/US/Eastern /etc/localtime" 0
        rlRun "ausearch -c python -if good-audit.log>good_res" 0 "get correct result"
        rlRun "ausearch -c python -if bad-audit.log>bad_res" 0 "get incorrect result"
        rlRun "diff bad_res good_res>diff_res" 1 "get diff of results above"
    rlPhaseEnd

    rlPhaseStartTest
        rlRun "diff diff_res diff_result" 0 "0 - no differencies found"
    rlPhaseEnd

    rlPhaseStartCleanup
        rlFileRestore
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
