#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Sanity/autrace-basic-functionality
#   Description: Test autrace for basic functionality
#   Author: Eduard Benes <ebenes@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2011 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlServiceStart auditd
    rlPhaseEnd

    rlPhaseStartTest
        rlRun "PAGER='' service auditd status || service auditd start && sleep 5"
	rlRun "auditctl -D"
	rlRun "auditctl -l"
        tmpf=`mktemp`
	tmpd=`mktemp -d`
	touch $tmpd/test
        rlRun "autrace /bin/ls $tmpd > $tmpf.0"
	rlRun "cat $tmpf.0 | sed -n 's/Trace complete.* -i -p \(.*\)./\1/p' > $tmpf"
        rlRun "ausearch --start recent -i -p `cat $tmpf`"
        cat $tmpf
        rlRun "autrace -r /bin/ls > $tmpf.0"
	rlRun "cat $tmpf.0 | sed -n 's/Trace complete.* -i -p \(.*\)./\1/p' > $tmpf"
        cat $tmpf
        rlRun "ausearch --start recent -p `cat $tmpf` --raw | aureport --file --summary"
        rlRun "ausearch --start recent -p `cat $tmpf` --raw | aureport --host --summary"
    rlPhaseEnd

    rlPhaseStartCleanup
        rlServiceRestore auditd
        rlRun "rm -rf ${tmpf}* $tmpd" 0
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
