# runtest.sh - dns-reverse-lookup
# Author: Eduard Benes <ebenes@redhat.com>
# Location: /CoreOS/audit/Sanity/dns-reverse-lookup/runtest.sh

# Description: Empty addr parameter to audit logging function should cause to bypass reverse dns lookup.

# Copyright (c) 2008 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


PACKAGE=audit
TEST=/CoreOS/audit/Sanity/dns-reverse-lookup

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
. /usr/share/beakerlib/beakerlib.sh || exit 1

rlJournalStart
  ######################
  # Prepare environment 
  ######################
  rlPhaseStartSetup Setup
    rlAssertRpm ${PACKAGE}
    rlAssertRpm ${PACKAGE}-libs-devel
    rlAssertRpm ${PACKAGE}-libs
    rlAssertRpm strace
    rlAssertRpm gcc
    rlShowRunningKernel
  rlPhaseEnd

  ######################
  # Begin Test-Case
  ######################
  rlPhaseStartTest Test
    rlRun "gcc -laudit dns-reverse-lookup.c" 0
    rlLog "stracing program "
    rlRun -s "strace ./a.out"
    COUNT="`wc -l  $rlRun_LOG`"
    rlLog "Strace logged $COUNT lines"
    rlAssertGreater "Should be less than 128 lines" 128 $COUNT
  rlPhaseEnd

  ######################
  # Clean after the test
  ######################
  rlPhaseStartCleanup
    rlRun "rm -f a.out"
  rlPhaseEnd
rlJournalPrintText
rlJournalEnd
