#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Crasher/bz1097315-livelock-trying-to-take-tasklist-lock-due-to-a-bug
#   Description: Test for BZ#1097315 (livelock trying to take tasklist_lock due to a bug)
#   Author: Karel Srot <ksrot@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2014 Red Hat, Inc.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"
TESTDIR=`pwd`

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
	rlRun "uname -a"
        rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
        rlRun "pushd $TmpDir"
	rlServiceStart auditd
	rlRun "gcc -laudit -o audit_user_tty $TESTDIR/audit_user_tty.c"
	rlRun "gcc -o fork $TESTDIR/fork.c"
    rlPhaseEnd

    rlPhaseStartTest
	rlRun "./audit_user_tty &"
	PID1=$!
	sleep 5
	rlRun "./fork &"
	PID2=$!
	rlLogInfo "going to wait 100 minutes"
	sleep 6000
	rlPass "Hurray! We survived!"
    rlPhaseEnd

    rlPhaseStartCleanup
	rlRun "kill -9 $PID1"
	rlRun "kill -9 $PID2"
        rlRun "popd"
        rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
	rlServiceRestore auditd
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
