#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz1462178-BUG-audit-rule-architecture-incorrectly-changed
#   Description: Test for BZ#1462178 (BUG audit rule architecture incorrectly changed)
#   Author: Ondrej Moris <omoris@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2019 Red Hat, Inc.
#
#   This program is free software: you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation, either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE.  See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlRun "auditctl -D" 0
    rlPhaseEnd

    rlPhaseStartTest
        rlRun -s "auditctl -a always,exit -F arch=b32 -S all -F key=32bit-abi" 1-255
        rlAssertGrep "arch elf mapping not found" $rlRun_LOG
        rlRun -s "auditctl -l" 0
        rlAssertNotGrep "key=32bit-abi" $rlRun_LOG
    rlPhaseEnd

    rlPhaseStartCleanup
        rlRun "auditctl -D" 0
        rlRun "service auditd restart && sleep 5" 0
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
