#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz1671338-using-yesterday-for-both-start-date-and
#   Description: Test for BZ#1671338 (using "yesterday" for both --start-date and)
#   Author: Ondrej Moris <omoris@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2019 Red Hat, Inc.
#
#   This program is free software: you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation, either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE.  See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program. If not, see http://www.gnu.org/licenses/.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE

        rlRun "service auditd restart && sleep 3" 0 "Make sure auditd is running"
        ts=$(date "+%T")
        auditctl -m 'test'
        sleep 5
        ausearch -ts $ts -m USER -r >audit.log
        rlFileSubmit audit.log "audit.log.original"
        date=$(sed 's/.*audit(\([0-9]\+\)\..*/\1/' audit.log)
        date_yesterday=$[$date-(60*60*24)]
        sed -i "s/$date/$date_yesterday/g" audit.log
        rlFileSubmit audit.log "audit.log.bz1671338"
    rlPhaseEnd

    rlPhaseStartTest
        rlRun "ausearch -ts yesterday -if audit.log" 0
        rlRun "ausearch -ts yesterday -te yesterday -if audit.log" 1
    rlPhaseEnd

    rlPhaseStartCleanup
        rlRun "rm -f audit.log"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
