#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz529851-auparse-handle-empty-AUSOURCE_FILE_ARRAY-segfault
#   Description: Make auparse handle empty AUSOURCE_FILE_ARRAY correctly (was segfaulting)
#   Author: Eduard Benes <ebenes@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2010 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlShowRunningKernel
        rlAssertRpm $PACKAGE
        rlShowPackageVersion audit 
        rlLog "Fixed in RHEL 5.5 version >= audit-1.7.17-3.el5"
        rlRun "/sbin/service auditd restart"
    rlPhaseEnd

    rlPhaseStartTest
        rlLog "Test how libauparse handles empty AUSOURCE_FILE_ARRAY."
        rlRun "cat bz504862.py"
        rlIsRHEL "<8" && rlRun "/usr/bin/python bz504862.py"
        rlIsRHEL ">7" && rlRun "/usr/libexec/platform-python bz504862.py"
        rlIsFedora    && rlRun "python bz504862.py"
    rlPhaseEnd

    rlPhaseStartCleanup
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
