#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz554553-audit-does-not-work-for-filtering-a-large-inode-number-on-i386
#   Description: audit may not handle rules with large integers correctly. For example,
#   Author: Eduard Benes <ebenes@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2010 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlServiceStart auditd 
        rlRun "/sbin/service auditd restart"
        rlRun "/sbin/auditctl -D"
    rlPhaseEnd

    rlPhaseStartTest
        TS_DATE=`/bin/date +%H:%M:%S`
        INODE=`ls -i /proc/cpuinfo | cut -f 1 -d ' '`
        rlRun "/sbin/auditctl -a exit,always -S all -F inode=`ls -i /proc/cpuinfo | cut -f 1 -d ' '`"
        rlRun "/sbin/auditctl -l"
        rlRun "ls /proc/cpuinfo" 
        sleep 3
        rlRun "/sbin/ausearch -m CWD -ts $TS_DATE"
    rlPhaseEnd

    rlPhaseStartCleanup
        rlRun "/sbin/auditctl -D"
        rlRun "/sbin/service auditd restart"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
