#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz670938-searching-on-auid-1-results-in-all-events
#   Description: When an audit rules such as this is loaded on a 32 bit system:
#   Author: Eduard Benes <ebenes@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2011 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

ARCH="b32" 

uname -m | egrep "(x86_64|ppc64|s390x|ia64)" && ARCH="b64"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlRun "/sbin/service auditd restart"
        rlRun "/sbin/auditctl -D"	
    rlPhaseEnd

    rlPhaseStartTest
        rlRun "/sbin/auditctl -a exit,always -F arch=$ARCH -S creat -S open -S openat -S truncate -S ftruncate -F success=0 -F auid!=-1" 0
        rlRun "/sbin/ausearch -ul 4294967295 -if ./bz670938-audit.log" 1 "There should be no matching records"
    rlPhaseEnd

    rlPhaseStartCleanup
        rlRun "/sbin/auditctl -D"
        rlRun "/sbin/service auditd restart"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
