#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz888348-bz1138674
#   Description: Test for BZ#888348 and BZ#1138674
#   Author: Karel Srot <ksrot@redhat.com>
#           Ondrej Moris <omoris@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2014 Red Hat, Inc.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart

    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
	rlFileBackup "/var/log/messages"
	rlFileBackup "/etc/audit/auditd.conf"
	rlServiceStop "auditd" && sleep 3
        rlRun "cp auditd.conf /etc/audit/auditd.conf" 0 "Configuring auditd"
	rlIsRHEL ">=7" && rlRun "systemctl reset-failed auditd"
    rlPhaseEnd

    rlPhaseStartTest
	rlRun "service auditd start" 0
        rlRun "sleep 5" 0 "Waiting for system log update"
	rlRun -s "journalctl -u auditd" 0
	rlAssertGrep "failed looking up host for xxx-audit-test.com" $rlRun_LOG
	rlRun "pidof auditd" 0 "Checking that auditd is running"
    rlPhaseEnd

    rlPhaseStartCleanup
	rlFileRestore 
	rlServiceRestore "auditd"
    rlPhaseEnd

rlJournalPrintText

rlJournalEnd
