#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Regression/bz970675-auparse-seems-to-be-truncating-path-audit-message
#   Description: Test for BZ#970675 (auparse seems to be truncating path audit message)
#   Author: Karel Srot <ksrot@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2014 Red Hat, Inc.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlAssertRpm $PACKAGE
        rlRun "TmpDir=\$(mktemp -d)" 0 "Creating tmp directory"
        rlRun "pushd $TmpDir"
	rlServiceStart auditd
	rlFileBackup /var/log/audit/audit.log
	rlRun 'cat > /var/log/audit/audit.log <<OEF
time->Tue Jun  4 16:20:18 2013
type=PATH msg=audit(1370377218.849:33136): item=2 name="/tmp/test" inode=291291 dev=fd:00 mode=0100644 ouid=0 ogid=0 rdev=00:00 obj=unconfined_u:object_r:openshift_tmp_t:s0:c2,c784
type=PATH msg=audit(1370377218.849:33136): item=1 name="/mnt/" inode=261636 dev=fd:00 mode=040755 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:mnt_t:s0
type=PATH msg=audit(1370377218.849:33136): item=0 name="/tmp/" inode=261633 dev=fd:00 mode=041777 ouid=0 ogid=0 rdev=00:00 obj=system_u:object_r:tmp_t:s0
type=CWD msg=audit(1370377218.849:33136):  cwd="/root"
type=SYSCALL msg=audit(1370377218.849:33136): arch=c000003e syscall=82 success=no exit=-13 a0=7fffafbcd700 a1=9e58f0 a2=0 a3=2 items=3 ppid=22087 pid=22088 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 ses=11 comm="mv" exe="/bin/mv" subj=unconfined_u:system_r:openshift_t:s0:c2,c784 key=(null)
type=AVC msg=audit(1370377218.849:33136): avc:  denied  { write } for  pid=22088 comm="mv" name="mnt" dev=dm-0 ino=261636 scontext=unconfined_u:system_r:openshift_t:s0:c2,c784 tcontext=system_u:object_r:mnt_t:s0 tclass=dir
EOF' 0 "Modifying /var/log/audit/audit.log"
    rlPhaseEnd

    rlPhaseStartTest
	rlRun "ausearch -m avc -i &> log"
	cat log
	rlAssertGrep "obj=unconfined_u:object_r:openshift_tmp_t:s0:c2,c784" log
    rlPhaseEnd

    rlPhaseStartCleanup
	rlFileRestore
	rlServiceRestore auditd
        rlRun "popd"
        rlRun "rm -r $TmpDir" 0 "Removing tmp directory"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
