# Setup
1. ensure that audit is installed
  2. store auditd status and stop it, backup audit.rules
  3. create testing user foobar

# Test

## Step
**Test**

Step 1.

  * General test

    1. set audit.rules as follows (valid):

-D
-i
-a always,exit -F arch=b32 -S open -S openat -F exit=-EACCES -k access
-a always,exit -F arch=b32 -S open -S openat -F exit=-EPERM -k access
-a always,exit -F arch=b64 -S open -S openat -F exit=-EACCES -k access
-a always,exit -F arch=b64 -S open -S openat -F exit=-EPERM -k access


    2. start auditd service (should pass)
    3. execute: su - foobar -c 'cat /etc/shadow'
    4. see audit message, there must be messages with access key logged
    5. make also sure that auditctl can be used to load rules (-R)
    6. stop auditd service


  * Options test

    1. set audit.rules as follows (invalid rules):

-D
-a always,exitX -F arch=b32 -S open -S openat -F exit=-EACCES -k invalid
-a always,exitX -F arch=b64 -S open -S openat -F exit=-EACCES -k invalid
-a always,exit -F arch=b32 -S open -S openat -F exit=-EACCES -k access
-a always,exit -F arch=b64 -S open -S openat -F exit=-EACCES -k access


    2. start auditd service, it should not start and report error


    3. set audit.rules as follows (invalid rules, but with ignore option):


-D
-i
-a always,exitX -F arch=b32 -S open -S openat -F exit=-EACCES -k invalid
-a always,exitX -F arch=b64 -S open -S openat -F exit=-EACCES -k invalid
-a always,exit -F arch=b32 -S open -S openat -F exit=-EACCES -k access
-a always,exit -F arch=b64 -S open -S openat -F exit=-EACCES -k access


    4. start auditd service, it should not start and report error


    5. [since 6.3] set audit.rules as follows (invalid rules, but with continue error option):


-D
-C
-a always,exitX -F arch=b32 -S open -S openat -F exit=-EACCES -k invalid
-a always,exitX -F arch=b64 -S open -S openat -F exit=-EACCES -k invalid
-a always,exit -F arch=b32 -S open -S openat -F exit=-EACCES -k access
-a always,exit -F arch=b64 -S open -S openat -F exit=-EACCES -k access


    6. start auditd service (should pass)
    7. execute: su - foobar -c 'cat /etc/shadow'
    8. see audit message, there must be messages with access key logged, but none with invalid key
    9. make also sure that auditctl can be used to load rules (-R)
    10. stop auditd service


    11. [since 6.3] set audit.rules as follows (invalid rules, but with continue error and ignore option):


-D
-i
-C
-a always,exitX -F arch=b32 -S open -S openat -F exit=-EACCES -k invalid
-a always,exitX -F arch=b64 -S open -S openat -F exit=-EACCES -k invalid
-a always,exit -F arch=b32 -S open -S openat -F exit=-EACCES -k access
-a always,exit -F arch=b64 -S open -S openat -F exit=-EACCES -k access


    12. start auditd service (should pass)
    13. execute: su - foobar -c 'cat /etc/shadow'
    14. see audit message, there must be messages with access key logged, but none with invalid key
    15. make also sure that auditctl can be used to load rules (-R)
    16. stop auditd service


  * Clean-up

>   1. delete all rules, restore auditd state and audit.rules from backup,
> delete foobar user
>

## Expect
**Test**

Step 1.

All should pass as expected.

