#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Sanity/auditctl-rules-allow-a0-a3-to-be-negative-numbers
#   Description: auditctl rules allow a0-a3 to be negative numbers
#   Author: Eduard Benes <ebenes@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2010 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

PACKAGE="audit"

rlJournalStart
    rlPhaseStartSetup
        rlShowRunningKernel
        rlAssertRpm $PACKAGE
        rlShowPackageVersion audit 
        rlLog "Since RHEL 5.5 version >= audit-1.7.17-3.el5 auditctl rules should allow a0-a3 to be negative numbers."
        rlRun "/sbin/service auditd restart"
        rlRun "/sbin/auditctl -D"
        rlRun "/sbin/auditctl -l"
    rlPhaseEnd

    rlPhaseStartTest
        rlLog "Do auditctl rules allow a0-a3 to be negative numbers?"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a0!=-1 -F a1=1"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a1!=-1 -F a2=1"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a2!=-1 -F a3=1"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a3!=-1 -F a0=1"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a0!=-1 -F a1=-155"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a1!=-1 -F a2=-158"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a2!=-1 -F a3=-911"
        rlRun "/sbin/auditctl -a always,exit -S kill -F uid=0 -F a3!=-1 -F a0=-112"
        rlRun "/sbin/auditctl -l"
    rlPhaseEnd

    rlPhaseStartCleanup
        rlRun "/sbin/auditctl -D"
    rlPhaseEnd
rlJournalPrintText
rlJournalEnd
