# Setup
CVS: http://cvs.devel.redhat.com/cgi-
bin/cvsweb.cgi/tests/audit/Sanity/auditctl-smoke

# Test

## Step
#### File System Audit Rules

  * Install watch on some file:   

    
    
    
    # auditctl -w /etc/passwd -p raw -k passwd-watch  
    # auditctl -l  
    LIST_RULES: exit,always watch=/etc/passwd perm=rwa key=passwd-watch

  * Do something with it, and check the records: 



    
    
    # cat /etc/passwd  
     ...  
    # ausearch -k passwd-watch -i -x /bin/cat  
     ...  
    # ausearch -f /etc/passwd -i -x /bin/cat  
     ...

  * View all other record for our watch 



    
    
    # ausearch -k passwd-watch -ts recent | less  
    # ausearch -f /etc/passwd -i -ts recent | less

  * There is a limit 31 chars on string for the key. 



    
    
    # auditctl -w /etc/passwd -k passwd-watch-looooooooooooong-file-naaaaameee-jupiiiiiiii -p raw  
    # echo $?  
    255

  * Remove the watch on file/path 



    
    
    # auditctl -W /etc/passwd -p raw -k passwd-watch  
    # auditctl -l

  * Exercise syscall audit rules: 
    * Watch all files opened by given uid: 



    
    
    # auditctl -a exit,always -S open -F auid=0 -k root-open-rule  
    # cat /etc/passwd  
    # ausearch -k root-open-rule -ts recent -i

#### Syscall Audit Rules

ee all syscalls made by program with given pid:  



    
    
    # auditctl -a entry,always -S all -F pid=$$ -k pid-test-rule  
    # ausearch -ts recent -k pid-test-rule -i



**Test cases from RHEL 5.2 errata:**

** ** https://errata.devel.redhat.com/errata/show/7917#c71 **  **

  * 3) The rule: 

-a always,user -S open -F filetype=file

should not be legal. The older libs would allow it.

  * 4) The rule:

-a always,user -S open -F ppid=1

Should not be legal. The older libs would allow it.

  * 5) The rule:

-a always,exit -S open -F dir=/etc -k test

Should be legal. The older version would see it as an error.

  * auditctl now supports multiple keys in the audit rules Rules like:   

    * auditctl -a always,exit -S open -F exit=-eperm -k key1 -k key2 
  * should be accepted and sent into the kernel. auditctl -l should show both keys.

# Cleanup
/CoreOS/audit/Sanity/auditctl-smoke
