#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/audit/Sanity/selftest
#   Description: Test executes audit selftest
#   Author: Ondrej Moris <omoris@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2017 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
. /usr/share/beakerlib/beakerlib.sh || exit 1

rlJournalStart

    rlPhaseStartSetup

        PACKAGE="audit"
        TOPDIR=`mktemp -d`

        rlAssertRpm $PACKAGE
        rlFetchSrcForInstalled $PACKAGE
    	rlRun "rpm --define '_topdir $TOPDIR' -ivh audit*.src.rpm" 0
    	rlRun "rpmbuild --define '_topdir $TOPDIR' -bc $TOPDIR/SPECS/audit.spec" 0
        
    rlPhaseEnd

    rlPhaseStartTest

        rlRun "make -C $TOPDIR/BUILD/audit-*/ check" 0
        
    rlPhaseEnd

    rlPhaseStartCleanup

    	rlRun "rm -rf $TOPDIR $PACKAGE*.src.rpm" 0

    rlPhaseEnd

rlJournalPrintText

rlJournalEnd
